KDESU(1)

NOM
kdesu - Executa un programa amb privilegis elevats.

SINOPSI

kdesu [-c ordre] [-d] [-f fiitxer] [-i nom icona] [-n] [-p prioritat] [-r] [-s] [-t] [-u usuari] [--noignorebutton] [--attach winid]

kdesu [Opcions genèriques del KDE] [Opcions genèriques de Qt]

DESCRIPCIÓ

KDE su és un frontal gràfic per a l'entorn d'escriptori K per a l'ordre su de UNIX®. Aquest us permetrà executar un programa com a un usuari diferent indicant la contrasenya per aquest usuari. KDE su és un programa sense privilegis; aquest empra el sistema de su.

KDE su disposa d'una característica addicional: Aquest pot recordar les contrasenyes. Si esteu emprant aquesta característica, tan sols us caldrà introduir la contrasenya una vegada per a cada ordre.

Aquest programa està principalment dissenyat per a ser executat des de la línia d'ordres o des de fitxers .desktop.

Atès que kdesu no és instal⋅lat més a $(kde4-config --prefix)/bin sinó que a kde4-config --path libexec i aquest no es troba a la vostra Path, haureu d'usar $(kde4-config --path libexec)kdesu per a engegar kdesu.

OPCIONS

-c ordre
    Això especifica l'ordre a executar com a root. Aquesta se li ha d'especificar com a un únic argument. De manera que, per exemple, si voleu executar un nou gestor de fitxers, haureu d'introduir a l'indicatiu: $(kde4-config --path libexec) kdesu -c Dolphin

-d
    Mostra informació de depuració.

-f fitxer
    Aquesta opció permet un ús eficient de KDE su en els fitxers .desktop. Aquesta li indica a KDE su que examini el fitxer especificat per fitxer. Si aquest fitxer és d'escriptura per a l'usuari actual, KDE su executarà l'ordre com a dit l'usuari. Si no fos d'escriptura, l'ordre seria executada com a l'usuari usuari (per omissió el root).

    El paràmetre fitxer s'avalua de la següent manera: si fitxer comença per /, es pren com a un nom de fitxer absolut. D'altra manera, es pren com al nom d'un fitxer de configuració global de KDE.

-i nom icona
    Especifica la icona a usar en el diàleg de contrasenya. Podeu especificar el nom sense cap extensió.

-n
    No demana la contrasenya. Això deshabilita la caixa de selecció Conserva la contrasenya del diàleg de contrasenyes.

-p prioritat
    Estableix el valor de la prioritat. La prioritat és un número arbitrari entre 0 i 100. El valor per omissió és 50.

-r
    Usa planificació en temps real.

-s
    Atura el dimoni kdesu. Aquest és el dimoni que manté el cau de contrasenyes validades, tot en segon pla. Aquesta característica també es pot deshabilitar amb l'opció -n quan s'inicia l'execució de KDE su.

-t
    Habilita l'eixida de terminal. També deshabilita el requeriment de la contrasenya. És molt recomanable per a propòsits de depuració, si desitgeu executar una aplicació en mode consola, en comptes d'aquest empreu el su estàndard.

-u usuari
    L'ús més comú per a KDE su es executar una ordre com a superusuari, tot i que se li pot indicar un nom d'usuari i la contrasenya apropiada.

--noignorebutton
    No mostra un botó ignora.

--attach winid
    Fes el diàleg transitori per a una aplicació X especificada amb «winid».

VEURE TAMBÉ

su(1)

Hi ha documentació d'usuari més detallada a help:/kdesu (podeu emprar aquest URL en el Konqueror, o executant khelpcenter help:/kdesu).

EXEMPLES

Executeu kfmclient com a usuari jim, i es mostrarà la icona del Konqueror en el diàleg de contrasenya:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

AUTORS

KDE su ha estat escrit per en Jansen, Geert jansen@kde.org i Iglio, Pietro iglio@fub.it.

AUTOR

Watts, Lauri <lauri@kde.org>
    Autor.